Jump to content
Sign in to follow this  
David Wikström

MirrorSync 1.26 Setup error on copying script steps

Recommended Posts

Hi,

I get an error when trying to copy the script steps as part of the MirrorSync setup, clicking the "Copy Script Steps" button:

Could not copy script onto clipboard: java.rmi.ServerError: Error occurred in server thread; nested exception is: java.lang.NoSuchMethodError: java.util.ResourceBundle.containsKey(Ljava/lang/String;)Z

(see screen shot)

Setting other elements to clipboard works fine.

Any clues?

post-91903-0-46889700-1344874994_thumb.p

Share this post


Link to post
Share on other sites

Hi David,

We introduced new language support with 1.26. May I ask what language you are using for the operating system? Have you been able to copy the script steps in a previous version?

Thank you,

Sarah

Share this post


Link to post
Share on other sites

David, what operating system version are you running?

Share this post


Link to post
Share on other sites

I just started testing MirrorSync, so I haven't tried earlier releases.

The test machine I'm using is running OS X 10.5.8, US English.

Share this post


Link to post
Share on other sites

Hi David - Java 6 or later is required on the machine that you use to configure MirrorSync. Mac OS X 10.5 only included Java 5. You'll need to find a computer with a more recent OS, or else a Windows computer with a more recent copy of Java. Keep in mind that this requirement is only for the setup and configuration of MirrorSync - your MirrorSync server should be fine running 10.5, and the connected Mac / Windows / iOS clients don't need Java at all.

I'm working on a change to make this system requirement stop you immediately at launch, instead of giving you a error while trying to do the configuration.

Share this post


Link to post
Share on other sites

Actually, I just checked and my 10.5 test machine does have both Java 5 and 6 installed. It sounds like your computer is launching Java 5 by default. I will send you a separate e-mail with a version of MirrorSync that will force Java 6 to be used, if both are installed.

Share this post


Link to post
Share on other sites

Jesse,

As always, I'm impressed by how reactive you are...

I've received the new version and will let you know how it worked as soon as I've tested it.

Thanks!

Share this post


Link to post
Share on other sites

Hi Jesse,

I still get exactly the same error message.

I first simply installed the update, and when that didn't work, completely re-installed MirrorSync, cleared Java cache and change the order of preference in which Java versions are launched (see screen capture).

post-91903-0-40862600-1345023123_thumb.p

Share this post


Link to post
Share on other sites

Thanks for the report David, I'm checking into it now.

Share this post


Link to post
Share on other sites

Yay! 1.2607 that you e-mailed me did the trick - at least as far as copying the script steps goes.

Any idea on when there will be an "official" release with this fix?

I probably won't have the time to do more testing in a while, but I would expect the rest to work fine since this was a very specific, isolated issue.

Share this post


Link to post
Share on other sites

Hi David - I will definitely get this version up onto the web site by Monday or Tuesday next week, maybe sooner.

Share this post


Link to post
Share on other sites

Hi

I have the same kind of problem at the same step while seting up a 1.31 demo version on a windows 7 familiale edition premium with java 6.

The error message is :

Could not copy script into clipboard : java.lang.illegalstateException:Closing if block before closing Si ( remaining block type stack: )

Thanks for your help

Olivier

Share this post


Link to post
Share on other sites

What language / locale are you running on your computer?

Share this post


Link to post
Share on other sites

Hello Jesse

If you are talking about the OS, the language is French

Share this post


Link to post
Share on other sites

We're looking into a solution for this. In the meantime, one way to fix this is to switch your operating system language to English, do the MirrorSync setup (or just the copy and paste step #4, which is where the problem is), and then switch back to French.

Share this post


Link to post
Share on other sites

Hello

I tried to do it by dowloaded Microsoft MUI in english

I did the changes but i have the same problem.

Regards

Olivier

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×

Important Information

By using this site, you agree to our Terms of Use.